Get history entries for a specific visit (legacy)
curl --request GET \
--url https://api.raul.ugps.io/api/v1/visit_history/get/{visitDetailId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.raul.ugps.io/api/v1/visit_history/get/{visitDetailId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.raul.ugps.io/api/v1/visit_history/get/{visitDetailId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"visit_detail_id": "<string>",
"action": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"change": {},
"user_id": {},
"user_name": {},
"user_email": {},
"entity_names_old": {},
"entity_names_new": {}
}
]Visit History
Get history entries for a specific visit (legacy)
Get history entries for a specific visit (legacy)
GET
/
api
/
v1
/
visit_history
/
get
/
{visitDetailId}
Get history entries for a specific visit (legacy)
Authorizations
Bearer token authentication
Path Parameters
Response
200 - application/json
List of history entries for the visit
History entry ID
Visit detail ID
Action performed
Datetime of action
Change details
User ID who made the change
User name who made the change
User email who made the change
Resolved entity names for old values (e.g. { technician_id: "Juan Pérez" })
Resolved entity names for new values (e.g. { technician_id: "Pedro González" })